MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CStaticDelegate0 Class Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CStaticDelegate0:
[legend]

## Public Types
typedef void(* | Func) ()

## Public Member Functions
| CStaticDelegate0 (Func _func)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke ()
virtual bool | compare (IDelegate0 *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate0
virtual | ~ IDelegate0 ()

## Detailed Description

Definition at line 41 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ Func

typedef void(* MyGUI::delegates::CStaticDelegate0::Func) ()

Definition at line 44 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CStaticDelegate0()

MyGUI::delegates::CStaticDelegate0::CStaticDelegate0 | ( | Func | _func | ) |
| inline

Definition at line 46 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ compare() [1/2]

virtual bool MyGUI::delegates::CStaticDelegate0::compare | ( | IDelegate0 * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 58 of file MyGUI_Delegate.h.

## ◆ compare() [2/2]

virtual bool MyGUI::delegates::CStaticDelegate0::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate0.

Definition at line 64 of file MyGUI_Delegate.h.

## ◆ invoke()

virtual void MyGUI::delegates::CStaticDelegate0::invoke | ( |  | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 53 of file MyGUI_Delegate.h.

## ◆ isType()

virtual bool MyGUI::delegates::CStaticDelegate0::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 48 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h